datacache <- new.env(hash=TRUE, parent=emptyenv())

drosgenome1dmug <- function() showQCData("drosgenome1dmug", datacache)
drosgenome1dmug_dbconn <- function() dbconn(datacache)
drosgenome1dmug_dbfile <- function() dbfile(datacache)
drosgenome1dmug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drosgenome1dmug_dbInfo <- function() dbInfo(datacache)

drosgenome1dmugORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drosgenome1dmug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "drosgenome1dmug", "chip drosgenome1dmug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drosgenome1dmug_dbconn())
}

